
QGIS Application - Bug report #18065

Processing Modeler UI input widgets do not resize

2018-02-09 03:55 AM - Alex Riley

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Xubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25961

Description

The Processing Modeler UI is pretty much unusable as the input widgets for model properties, inputs and algorithms do not resize.  See

attached screenshot.

QGIS - 2.99.0-Master installed on a fresh Xubuntu 17.10 using the http://qgis.org/debian-nightly repo.

QGIS version 2.99.0-Master

QGIS code revision 33ca8fc

Compiled against Qt 5.9.1

Running against Qt 5.9.1

Compiled against GDAL/OGR 2.2.1

Running against GDAL/OGR 2.2.1

Compiled against GEOS 3.5.1-CAPI-1.9.1

Running against GEOS 3.5.1-CAPI-1.9.1 r4246

PostgreSQL Client Version 9.6.5

SpatiaLite Version 4.3.0a

QWT Version 6.1.2

PROJ.4 Version 493

QScintilla2 Version 2.9.3

Associated revisions

Revision e0fa2c27 - 2018-02-23 01:06 AM - Nyall Dawson

Partially revert "fix and bring back scroll area into custom widgets"

This reverts commit 5dce8edb95fc2432dedcac3d860bd5d46b16a436.

The custom widget is still causing isseus - refs #18065

History

#1 - 2018-02-09 06:21 AM - Nyall Dawson

You need to uninstall the custom widgets and totally remove them from your system

#2 - 2018-02-09 02:10 PM - Richard Duivenvoorde

see: https://lists.osgeo.org/pipermail/qgis-developer/2017-November/050764.html
#3 - 2018-02-10 09:13 AM - Jeremy Palmer

Is qgis_customwidgets.py needed for something else? Or safe to delete?

#4 - 2018-02-10 10:10 AM - Alex Riley

I deleted qgis_customwidgets.py and a work-in-progress plugin I'm writing on crashes when loading a .ui file that that uses a QgsDateTimeEdit widget

  File "/usr/lib/python3/dist-packages/PyQt5/uic/__init__.py", line 201, in loadUiType

    exec(code_string.getvalue(), ui_globals)

  File "", line 40, in 

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ModuleNotFoundError: No module named 'qgsdatetimeedit'

I can probably workaround by building the form in code rather than using QT Designer.

#5 - 2018-02-21 10:12 PM - dr -

Nyall Dawson wrote:

You need to uninstall the custom widgets and totally remove them from your system

Issue was fixed when I removed qgis_customwidgets.py. But after next updating (I'm using nightly build) this issue appears again.

#6 - 2018-02-22 11:50 AM - Denis Rouzaud

Do you have 2.x also installed?

#7 - 2018-02-22 12:20 PM - Alex Riley

No, I have a fresh ubuntu 17.10 VM with only 2.99dev installed. The qgis_customwidgets.py file is reinstalled every time qgis is updated from the nightly

repo.

Seems like a bug that should be fixed at some stage so third party developers can use the custom widgets in Designer, but in the meantime it's easy

enough to work around by building the form in code if qgis_customwidgets.py is temporarily removed or disabled.

#8 - 2018-05-01 09:11 AM - Chris Crook

I am also seeing this.  Installing QGIS nightly builds on Ubuntu 17.10 VM with not much else on it.  Behaviour is different to described in that if I remove

qgis_customwidgets.py and restart QGIS I lose the processing menu altogether.  Otherwise I get the Processing modeler dialog as in the original issue

report - ie completely unusable :-(

Details are:
QGIS version

3.1.0-Master

QGIS code revision

a34c443

Compiled against Qt

5.9.1

Running against Qt

5.9.1

Compiled against GDAL/OGR

2.2.1

Running against GDAL/OGR

2.2.1

Compiled against GEOS

3.5.1-CAPI-1.9.1

Running against GEOS

3.5.1-CAPI-1.9.1 r4246

PostgreSQL Client Version

9.6.5

SpatiaLite Version

4.3.0a

QWT Version

6.1.2

QScintilla2 Version

2.9.3

PROJ.4 Version

493

This copy of QGIS writes debugging output.

#9 - 2018-05-06 03:20 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #16428

Files

modeler_widgets.png 18.3 KB 2018-02-09 Alex Riley
